%global namedreltag .Final-redhat-1
%global namedversion %{version}%{?namedreltag}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define section free
%define reltag Final-redhat-1
%define brewreltag Final_redhat_1

%define maven_version 1.1.8.Final-redhat-1

Name:    weld-core
Version: 1.1.8
Release: 1.%{brewreltag}%{?dist}
Epoch:   0
License: Aache License, Version 2.0
Summary: Weld is the reference implementation (RI) for JSR-299
Group: 	 Development/Libraries/Java

%if %with mead
Source100: org.jboss.weld-weld-core-parent-1.1.8.Final-redhat-1-sources.zip
Source102: weld-core-1.1.8.Final-redhat-1.pom
Source103: weld-core-1.1.8.Final-redhat-1-javadoc.jar
Source104: weld-core-1.1.8.Final-redhat-1.jar
Source105: weld-core-1.1.8.Final-redhat-1-sources.jar
Source106: weld-build-config-1.1.8.Final-redhat-1-sources.jar
Source107: weld-build-config-1.1.8.Final-redhat-1.pom
Source108: weld-build-config-1.1.8.Final-redhat-1.jar
Source109: weld-core-parent-1.1.8.Final-redhat-1.pom
%endif

URL:	 http://www.seamframework.org/Weld

%if %without mead
Source0:          %{name}-%{namedversion}.tar.xz
%endif

BuildArch:        noarch

BuildRequires:    jpackage-utils
%if %without mead
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-parent
%endif

Requires:         jpackage-utils
Requires:         java

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
Weld is the reference implementation (RI) for JSR-299: Java Contexts and Dependency Injection for the Java EE platform (CDI).

%if %without mead
%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.
%endif

%prep
%if %without mead
%setup -q -n %{name}-%{namedversion}
%endif

%build
%if %without mead
# Many tests fail
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate
%endif

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
%if %without mead
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar
%else
cp -p %{_sourcedir}/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar
cp -p %{_sourcedir}/weld-build-config-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/weld-build-config.jar
%endif

%if %without mead
# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
%if %without mead
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%else
install -pm 644 %{_sourcedir}/%{name}-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
install -pm 644 %{_sourcedir}/weld-core-parent-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-weld-core-parent.pom
install -pm 644 %{_sourcedir}/weld-build-config-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-weld-build-config.pom
%endif

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar
%add_maven_depmap JPP.jboss-weld-build-config.pom jboss/weld-build-config.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}*/*

%if %without mead
%files javadoc
%{_javadocdir}/%{name}
%endif

%changelog
* Thu May 03 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.1.8-1.Final_redhat_1
- Upgrade to 1.1.8.Final
- Fix release number format
- Adapt to new wrapper

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.5-3_redhat_1.1
- Populate java-signed

* Wed Feb 22 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.1.5-3_redhat_1
- Upgrade to 1.1.5.AS71.Final

* Tue Feb 07 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.1.5-2_redhat_1
- Wrap MEAD build for EAP 6

* Tue Jan 10 2012 Paul Gier <pgier@redhat.com> - 0:1.1.5-1_redhat_1
- Upgrade to 1.1.5.Final

* Mon Nov 28 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.4-1_redhat_1
- Upgrade to 1.1.4.Final

* Thu Sep 22 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.2-1_redhat_1
- Upgrade to 1.1.2.Final

* Fri Aug 19 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.2-1_AS7_redhat_1
- Patched by vman
- Fix JBoss Specs deps
- Ban findbugs annotations

* Wed Aug 03 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.2-1_AS7
- Upgrade to 1.1.2.AS7

* Thu Jun 09 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.1.1-1_Final
- First build
